package org.jivesoftware.smack.provider;

import java.util.Collection;

public interface ProviderLoader {
   Collection<IQProviderInfo> getIQProviderInfo();

   Collection<ExtensionProviderInfo> getExtensionProviderInfo();

   Collection<StreamFeatureProviderInfo> getStreamFeatureProviderInfo();
}
